﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="Month_Lock_View.aspx.cs" Inherits="EasyTDS.View.Month_Lock_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "415"
        window.wd = "500"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

    <script>
        var permission;
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblBranch" runat="server" Text="Branch"></asp:Label>
                            <telerik:RadComboBox ID="CboBranch" Width="75%" runat="server" AutoPostBack="true" OnSelectedIndexChanged="CboBranch_SelectedIndexChanged">
                            </telerik:RadComboBox>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="RadGridCtr" style="padding-top: 3px">
                <telerik:RadGrid ID="dgData" EnableViewState="false" runat="server" AllowPaging="false"
                    AutoGenerateColumns="false" AllowSorting="True" AllowFilteringByColumn="false"
                    GridLines="None" Height="80%" Width="100%" PageSize="10">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="monthlock_pid"
                        CommandItemDisplay="Bottom" TableLayout="Fixed">
                        <Columns>
                            <telerik:GridBoundColumn DataField="tanname" HeaderText="TAN">
                                <HeaderStyle Width="40%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="monthname" HeaderText="Month">
                                <HeaderStyle Width="40%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridTemplateColumn DataField="islocked" HeaderText="Lock">
                                <HeaderStyle Width="20%" />
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkLock" Checked='<%# HelperLib.Conversion.C.Bool(DataBinder.Eval(Container.DataItem, "islocked")) %>'
                                        runat="server" />
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                            <telerik:GridTemplateColumn Display="false" DataField="monthid" HeaderText="month">
                                <HeaderStyle Width="20%" />
                                <ItemTemplate>
                                    <asp:TextBox CssClass="txtMonth" ID="txtMonth" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "monthid") %>'></asp:TextBox>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%" >
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton Permission="A" CommandName="A" ImageUrl="~/img/radimages/AddRecord.gif"
                            Text="Save">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">

        function pageLoad() {

        }

        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            var arrRows = new Array();
            var arrResult = new Array();
            var arrRes = new Array();

            var grid = $find("<%=dgData.ClientID %>");
            var MasterTable = grid.get_masterTableView();
            arrRows = $(grid.get_element()).find('tr');

            for (var r = 0; r < arrRows.length; r++) {
                if ($(arrRows[r]).find("td").exists()) {
                    var chk = $(arrRows[r]).find('input').eq(0).checked();
                    var month = $(arrRows[r]).find('input').eq(1).val();
                    arrRes[month] = chk;
                }
            }

            var data = new Object();
            data["Type"] = "SaveMonthLocking";
            data["MonthData"] = arrRes;
            data["TanId"] = $find("<%= CboBranch.ClientID %>").get_selectedItem().get_value();
            PageMethods.Execute(data,onsuccess);
            return false;
        }

        function onsuccess() {
            alert("Successfully Saved.");
            return false;
        }
        function RefreshGrid() {
        }

        function CboBranch_OnClientSelectedIndexChanged(sender, args) {
        }

        
    </script>

</asp:Content>
