﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="Branch_View.aspx.cs" Inherits="EasyTDS.View.Branch_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "400"
        window.wd = "700"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div class="RadGridCtr">
				<telerik:RadGrid ID="dgData" SkinID="ClientPaging" EnableViewState="false" runat="server"
                    AllowPaging="true" AllowSorting="True" AllowFilteringByColumn="true" GridLines="None"
                    Height="85%" Width="100%" PageSize="10">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="branch_pid" CommandItemDisplay="Bottom"
                        TableLayout="Fixed">
                        <Columns>
                            <telerik:GridBoundColumn DataField="branchcode" HeaderText="Branch Code">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="branchname" HeaderText="Branch Name">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="regionname" HeaderText="Region Name">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="branchaddress1" HeaderText="Address1">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="branchcity" HeaderText="City">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="branchpincode" HeaderText="Pin code">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="branchstate" HeaderText="State">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="branchcountry" HeaderText="Country">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="NextPrevNumericAndAdvanced" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%" >
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton Permission="A" CommandName="A" ImageUrl="~/img/radimages/AddRecord.gif"
                            Text="Add">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="E" CommandName="E" ImageUrl="~/img/radimages/Edit.gif"
                            Text="Edit">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="V" CommandName="V" ImageUrl="~/img/radimages/Icon.gif"
                            Text="View">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton Permission="D" CommandName="D" ImageUrl="~/img/radimages/delete.gif"
                            Text="Delete">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="X" ImageUrl="~/img/radimages/Icon.gif" Text="Export To CSV">
                                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

    <script type="text/javascript">
        $(document).ready(function() {
        });

        function pageLoad() {
            BindGrid("<%=dgData.ClientID %>");
        }
        
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

       

        function OpenWindow(mode) {
            var text = "";
            if (mode == "X") {
                
                BindGrid("<%=dgData.ClientID %>", { "Type": "BranchList_CSV" },null,"Export");
                return false;
            }
            if (mode == "A")
                text = "Add Branch"
            else if (mode == "E")
                text = "Edit Branch";
            else if (mode == "D")
                text = "Delete";
            else {
                mode = "V";
                text = "View Branch";
            }
            var newurl = "";
            if (mode == "A") {
                newurl = "Branch_Add.aspx?PgKey="+$.QS("PgKey")+"&PageType=A";
            }
            else if (mode == "E" || mode == "V" || mode == "D") {
                var id = RadGrid_GetDataKey("<%= dgData.ClientID %>");
                if (id == null)
                    return false;
//                if (mode == "D" && confirm('Do you wish to delete this record?')) {
//                    BindGrid("<%= dgData.ClientID %>", "Delete", { "Action": "Delete", "@BranchID": id });
//                    return false;
//                }
                    if (mode == "D") {
                        if (confirm('Do you wish to delete this record?'))
                        RadGrid_Delete("<%= dgData.ClientID %>", {"@BranchID": id });
                    return false;
                }
                newurl = "Branch_Add.aspx?PgKey="+$.QS("PgKey")+"&PageType=" + mode + "&ID=" + id;
            }

            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function RefreshGrid() {
            RadGrid_Refresh("<%= dgData.ClientID %>", { "NoRefresh": true });
        }   
    </script>

</asp:Content>
