﻿<%@ Page Title="" Language="C#" MasterPageFile="~/View/MasterForm.Master" AutoEventWireup="true"
    CodeBehind="Form16Certificate_View.aspx.cs" Inherits="EasyTDS.View.Form16Certificate_View" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

    <script type="text/javascript">

        window.ht = "430"
        window.wd = "700"
        // //window.title="title"
        document.documentElement.style.overflowX = "hidden"
        document.documentElement.style.overflowY = "hidden"

        function MDI_Load() {
            //Add user code here

        }
        function MDI_Close() {
            //Add user code here
            //alert(MDI.id)
            return true;
        }  
   
    </script>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <hlp:ActionMessage ID="ActionMessage1" runat="server" />
            <div style="height: 45px">
                <div>
                    <asp:Label ID="lblDeducteeName" runat="server" Text="Deductee Name "></asp:Label>
                </div>
                <div>
                    <asp:Label ID="lblSection" runat="server" Text="Section: "></asp:Label>
                    <telerik:RadComboBox ID="CboSection" runat="server" Width="430px">
                    </telerik:RadComboBox>
                    <asp:Label ID="lblQuarter" runat="server" Text="Quarter: "></asp:Label>
                    <telerik:RadComboBox ID="cboQuarter" runat="server" Width="80px">
                        <Items>
                            <telerik:RadComboBoxItem Text="Please Select" Value="" />
                            <telerik:RadComboBoxItem Text="Quarter 1" Value="Q1" />
                            <telerik:RadComboBoxItem Text="Quarter 2" Value="Q2" />
                            <telerik:RadComboBoxItem Text="Quarter 3" Value="Q3" />
                            <telerik:RadComboBoxItem Text="Quarter 4" Value="Q4" />
                        </Items>
                    </telerik:RadComboBox>
                    <asp:Button ID="btnFilter" runat="server" Text="Filter" OnClick="btnFilter_Click" CssClass="filterButton" Width="45px"/>
                </div>
            </div>
            <div class="RadGridCtr">
                <telerik:RadGrid ID="dgData" EnableLinqExpressions="false" runat="server" AllowPaging="false"
                    AllowSorting="True" AutoGenerateColumns="False" GridLines="None" GroupingEnabled="False"
                    AllowFilteringByColumn="true" AllowMultiRowSelection="true" Height="80%" Width="100%"
                    PageSize="10" OnNeedDataSource="dgData_NeedDataSource">
                    <ItemStyle Wrap="false" />
                    <MasterTableView AllowMultiColumnSorting="true" ClientDataKeyNames="tdstransaction_pid"
                        CommandItemDisplay="Bottom" TableLayout="Fixed">
                        <Columns>
                            <telerik:GridClientSelectColumn UniqueName="chkCheck">
                                <HeaderStyle Width="5%" />
                            </telerik:GridClientSelectColumn>
                            <telerik:GridBoundColumn DataField="dateofcrediting_payment" HeaderText="Date Of Payment"
                                DataFormatString="{0:dd-MM-yyyy}">
                                <HeaderStyle Width="9%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="AmountPaid" HeaderText="Amount">
                                <HeaderStyle Width="10%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="TDSDeducted" HeaderText="TDS Deducted">
                                <HeaderStyle Width="9%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="RefNo" HeaderText="Reference No">
                                <HeaderStyle Width="9%" />
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="status" HeaderText="Status" UniqueName="status">
                                <HeaderStyle Width="5%" />
                            </telerik:GridBoundColumn>
                        </Columns>
                        <CommandItemTemplate>
                        </CommandItemTemplate>
                    </MasterTableView>
                    <PagerStyle AlwaysVisible="true" Mode="Slider" />
                    <ClientSettings>
                        <Selecting AllowRowSelect="True" />
                        <Scrolling AllowScroll="True" ScrollHeight="180px" UseStaticHeaders="True" />
                        <Resizing AllowColumnResize="True" />
                    </ClientSettings>
                </telerik:RadGrid>
                <telerik:RadToolBar OnClientButtonClicking="onToolBarClientButtonClicking" ID="RadToolBar1"
                    runat="server" Skin="Vista" SkinID="GridToolbar" Width="100%">
                    <CollapseAnimation Duration="200" Type="OutQuint" />
                    <Items>
                        <telerik:RadToolBarButton CommandName="IC" ImageUrl="~/img/radimages/Icon.gif" Text="Issue Certificate">
                        </telerik:RadToolBarButton>
                        <telerik:RadToolBarButton CommandName="C" ImageUrl="~/img/radimages/Cancel.gif" Text="Close">
                        </telerik:RadToolBarButton>
                    </Items>
                </telerik:RadToolBar>
            </div>
            <asp:Button ID="btnAddRecord" runat="server" Style="display: none" OnClick="btnAddRecord_OnClick" />
            <asp:HiddenField ID="hdnQuarterID" runat="server" />
            <asp:HiddenField ID="hdnAnnexure" runat="server" />
            <asp:HiddenField ID="hdnConsolidate" runat="server" />
            <asp:HiddenField ID="hdnCertificateID" runat="server" />
            <asp:HiddenField ID="hdnCertificateNo" runat="server" />
             <asp:HiddenField ID="hdnAckNo" runat="server" />
        </ContentTemplate>
    </asp:UpdatePanel>
    <style type="text/css">
        .filterButton
        {
            text-decoration: none;
            background-color: #c3d8f1;
            font-weight: bold;
            vertical-align: middle;
            background-image: -webkit-linear-gradient(top, #c3d8f1 , #c3d8f1 );
            border-radius: 4px;
            border-color: #B0D2D6;
            width: 100px;
        }
    </style>

    <script type="text/javascript">
    var TanRegID;
        $(document).ready(function() {
        });
        
        function onToolBarClientButtonClicking(sender, args) {
            var mode = args.get_item().get_commandName();
            if (mode == "C") {
                MDI.Close();
                args.set_cancel(true);
            }
            else
                return args.set_cancel(!OpenWindow(mode));
        }

        function OpenWindow(mode) {
            var text = "";  
            if (mode == "IC")
                text = "Issue Certificate";
            
            var PageCall=$.QS("PageCall");
            var sectionID=$find("<%= CboSection.ClientID %>").get_value();
            var sectiontext=$find("<%= CboSection.ClientID %>").get_text();
            if(PageCall == "Certificate")            {
                    var QuarterID=$find("<%= cboQuarter.ClientID %>").get_value();
                    var Quartertext=$find("<%= cboQuarter.ClientID %>").get_text();
                    if(sectionID == "All" && mode != "D")     {
                        alert("Please select section ");
                        return false;
                    }
                    else if(Quartertext == "Please Select" && mode != "D" )  {
                        alert("Please select Quarter");
                        return false;
                    }
            }
            var newurl = "";
            if (mode == "IC"){
                var id = RadGrid_MultipleDataKey("<%= dgData.ClientID %>","tdstransaction_pid");
                var QuarterID=$find("<%= cboQuarter.ClientID %>").get_value();
                if (id == null)
                return false;
                newurl = "TDSCertificate.aspx?PgKey="+$.QS("PgKey")+"&PageType=" + mode + "&ID=" + id+"&SectionID="+sectionID+"&QuarterID="+QuarterID+"&TanRegID="+TanRegID+"&DeducteeID="+$.QS("DeducteeID")+"&CertificateType="+$.QS("CertificateType");
             }
            MDIMain.NewMDI(newurl, text).ShowDialog(MDI).MoveTo(1);
            return false;
        }

        function btnFilter_OnClick(sender,args) {
            var PageCall=$.QS("PageCall");
            var quarterID="";
            var sectionID=$find("<%= CboSection.ClientID %>").get_value();
            var sectiontext=$find("<%= CboSection.ClientID %>").get_text();
            var CertificateType=$.QS("CertificateType");
                if(PageCall == "Certificate")  {
                    var Quartertext=$find("<%= cboQuarter.ClientID %>").get_text();
                    quarterID=$find("<%= cboQuarter.ClientID %>").get_value();
                    if(sectiontext == "All")  {
                         alert("Please select section ");
                         return false;
                    }
                    else if(Quartertext == "Please Select") {
                        alert("Please select Quarter");
                        return false;
                    }
                 }
        }
        
        
        function InsertRecord(annexure,consolidate,certificateid,certificateno,ackno) {
            var quarterID=$find("<%= cboQuarter.ClientID %>").get_value();
            $("#<%= hdnQuarterID.ClientID %>").val(quarterID);
            $("#<%= hdnAnnexure.ClientID %>").val(annexure);
            $("#<%= hdnConsolidate.ClientID %>").val(consolidate);
            $("#<%= hdnCertificateID.ClientID %>").val(certificateid);
            $("#<%= hdnCertificateNo.ClientID %>").val(certificateno);
            $("#<%= hdnAckNo.ClientID %>").val(ackno);
            $("#<%= btnAddRecord.ClientID %>").click();
        }
            
        function OpenPrint(RepName, key, QueryClass) {
            var newurl = "print.aspx?RepName=" + RepName + "&RepKey=" + key + "&QueryClass=" + QueryClass + "&FromSP=1";
            MDIMain.OpenPrint(newurl);
            return false;
        }
    </script>

</asp:Content>
